=== debian/control ===
Source: ktnef
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkcalendarutils-dev (>= 4:24.08.2~),
               libkf6calendarcore-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/ktnef
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
Rules-Requires-Root: no

Package: libktnef-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for handling TNEF data - data files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the data files.

Package: libktnef-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore-dev (>= 6.3.0~),
         libkpim6tnef6 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling TNEF data - development files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the development files.

Package: libkpim6tnef6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libktnef-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for handling TNEF data
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
