=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkcalendarutils-dev (>= 4:24.12.0~),
+               libkcalendarutils-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
