=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkcalendarutils-dev (>= 4:24.12.2~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/ktnef
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktnef
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktnef.git
