=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: ktnef
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkcalendarutils-dev (>= 4:24.12.3~),
+               libkcalendarutils-dev (>= 4:25.04.1~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/ktnef
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktnef
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktnef.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
 Rules-Requires-Root: no
 
 Package: libktnef-data
