=== debian/control ===
Source: ktnef
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcontacts-dev,
               kpim6-kcalendarutils-dev,
               libical-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/ktnef
Vcs-Git: https://invent.kde.org/neon/kde/ktnef.git
Vcs-Browser: https://invent.kde.org/neon/kde/ktnef
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-ktnef-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcalendarcore-dev,
         kf6-kcontacts-dev,
         kpim6-ktnef (= ${binary:Version}),
         qt6-base-dev,
         qt6-tools-dev,
         ${misc:Depends}
Provides: libkf5tnef-dev, libkpim6tnef-dev
Replaces: libkf5tnef-dev, libkpim6tnef-dev
Description: library for handling TNEF data - development files
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.
 .
 This package contains the development files.

Package: kpim6-ktnef
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkf5tnef5, libkpim6tnef6
Replaces: libkf5tnef5, libkpim6tnef6
Description: library for handling TNEF data
 Ktnef is a library for handling data in the TNEF format (Transport Neutral
 Encapsulation Format, a proprietary format of e-mail attachment used by
 Microsoft Outlook and Microsoft Exchange Server). The API permits access
 to the actual attachments, the message properties (TNEF/MAPI), and allows
 one to view/extract message formatted text in Rich Text Format.

Package: libkpim6tnef-dev
Architecture: all
Depends: kpim6-ktnef-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6tnef6
Architecture: all
Depends: kpim6-ktnef, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5tnef-dev
Architecture: all
Depends: kpim6-ktnef-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5tnef5
Architecture: all
Depends: kpim6-ktnef, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
